-- Test campsite_type_carousel_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(27);

set search_path to camper, public;

select has_table('campsite_type_carousel_i18n');
select has_pk('campsite_type_carousel_i18n');
select col_is_pk('campsite_type_carousel_i18n', array['campsite_type_id', 'media_id', 'lang_tag']);
select col_is_fk('campsite_type_carousel_i18n', array['campsite_type_id', 'media_id']);
select fk_ok('campsite_type_carousel_i18n', array['campsite_type_id', 'media_id'], 'campsite_type_carousel', array['campsite_type_id', 'media_id']);
select table_privs_are('campsite_type_carousel_i18n', 'guest', array['SELECT']);
select table_privs_are('campsite_type_carousel_i18n', 'employee', array['SELECT']);
select table_privs_are('campsite_type_carousel_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('campsite_type_carousel_i18n', 'authenticator', array[]::text[]);

select has_column('campsite_type_carousel_i18n', 'campsite_type_id');
select col_type_is('campsite_type_carousel_i18n', 'campsite_type_id', 'integer');
select col_not_null('campsite_type_carousel_i18n', 'campsite_type_id');
select col_hasnt_default('campsite_type_carousel_i18n', 'campsite_type_id');

select has_column('campsite_type_carousel_i18n', 'media_id');
select col_type_is('campsite_type_carousel_i18n', 'media_id', 'integer');
select col_not_null('campsite_type_carousel_i18n', 'media_id');
select col_hasnt_default('campsite_type_carousel_i18n', 'media_id');

select has_column('campsite_type_carousel_i18n', 'lang_tag');
select col_is_fk('campsite_type_carousel_i18n', 'lang_tag');
select fk_ok('campsite_type_carousel_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('campsite_type_carousel_i18n', 'lang_tag', 'text');
select col_not_null('campsite_type_carousel_i18n', 'lang_tag');
select col_hasnt_default('campsite_type_carousel_i18n', 'lang_tag');

select has_column('campsite_type_carousel_i18n', 'caption');
select col_type_is('campsite_type_carousel_i18n', 'caption', 'text');
select col_not_null('campsite_type_carousel_i18n', 'caption');
select col_hasnt_default('campsite_type_carousel_i18n', 'caption');


select *
from finish();

rollback;

